%define hal 0.5.13
%define _requires_exceptions pkgconfig\(.*\)

Summary: 	Mount replacement which uses HAL to do the mounting 
Summary(de): 	Mount Ersatz der HAL zum mounten verwendet
Name: 		gnome-mount
Version: 	0.8
Release: 	%mkrel 3
License: 	GPL
Group: 		Graphical desktop/GNOME
URL: 		http://www.freedesktop.org
Source: 	http://people.freedesktop.org/~david/dist/%{name}-%{version}.tar.gz
Patch0: 	gnome-mount-0.8-linkage.patch
Patch3: 	gnome-mount-flush.patch
Patch5: 	gnome-mount-0.8-unmount_nomedia.patch
Patch6: 	gnome-mount-noatime.patch
Patch7: 	gnome-mount-0.8-utf8_message.patch
Patch8: 	gnome-mount-0.8-fstablock.patch
Patch9: 	gnome-mount-0.8-utf8.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	hal >= %hal
Requires: 	policykit-gnome
BuildRequires: 	hal-devel >= %hal
BuildRequires: 	libnotify-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	libGConf2-devel
BuildRequires: 	gnome-keyring-devel
BuildRequires: 	nautilus-devel
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	libglade2.0-devel
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libsm-devel

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.
%description -l de
Ein Ersatz für die einhängen (mount), aushängen (umount) und 
auswerfen (eject) Befehle, die HAL verwendet, um das mounten zu erleichtern.

%prep
%setup -q
%patch0 -p0
%patch3 -p1 -b .flush
%patch5 -p1 -b .unmount_nomedia
%patch6 -p1 -b .noatime
%patch7 -p1 -b .utf8_message
%patch8 -p1 -b .fstablock
%patch9 -p1 -b .utf8

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

rm -rf $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-?.0/*.{la,a}

cd %buildroot%_mandir/man1/
ln -s gnome-mount.1 gnome-umount.1
ln -s gnome-mount.1 gnome-eject.1

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-mount
%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%_libdir/pkgconfig/%name.pc
%{_libdir}/nautilus/extensions-2.0/*.so
%{_mandir}/man1/*


%changelog
* Thu Dec 31 2009 maik3531 <maik3531 at yahoo dot de> 0.8-1pclos2010
- sync with mandriva (add linkage patch)
- add german description

* Sat Dec 06 2008 don_crissti <don_crissti@gmx.com> 0.8-2pclos2007
- rebuild against updated hal-devel and nautilus-devel

* Sun Oct 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.8-1pclos2007
- 0.8 
- sync with mandriva

* Sat Mar 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-2
- Patch6 (SVN): use lowercase filename by default for vfat
- Patch5: disable nautilus extension debugging, was filling xsession-errors
- Fix buildrequires

* Sat Mar 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-1
- 0.5
- fix buildrequires
- Patch3: add "flush" option for vfat volume
- Patch4: gnome-mount_support-ntfs-3g

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 0.4-5.20060724.3pclos2007
- Build for PCLinuxOS 2007

